%global pkg rinari
%global pkgname Rinari

Name:             emacs-rinari
Version:          2.1  
Release:          4.20100815git%{?dist}
Summary:          Ruby on rails minor mode for Emacs

Group:            Applications/Editors
License:          GPLv3+
URL:              http://rinari.rubyforge.org/

# The source of this package was pulled from upstream's vcs.
# use the following command to generate the tar ball:
# git clone http://github.com/eschulte/rinari.git
# cd rinari
# git submodule init
# git submodule update
# cd ..
# tar cvjf rinari-20100805.tar.bz2 rinari/

Source0:          http://sagarun.fedorapeople.org/misc/rinari-20100815.tar.bz2
Source1:          emacs-rinari-init.el
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    emacs texinfo
BuildArch:        noarch
Requires:         emacs(bin) >= %{_emacs_version}

Requires(post):   info
Requires(preun):  info

%description
Rinari is a set of Emacs Lisp functions aimed towards 
making Emacs into a top-notch Ruby on rails development environment.

%package el
Summary:        Elisp source files for %{name}
Group:          Applications/Editors
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the Elisp source files for %{name}. You do not need
to install this package to use %{name}.

%prep
%setup -q -n %{pkg}

%build
/usr/bin/emacs -batch --no-init-file --no-site-file --eval '(progn (normal-top-level-add-subdirs-to-load-path))' -f batch-byte-compile *.el
%{_emacs_bytecompile} util/*el
%{_emacs_bytecompile} util/jump/*.el
makeinfo doc/rinari.texi


%install
rm -rf %{buildroot}
install -pm 755 -d  %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
install -pm 644 *.el* %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
install -pm 755 -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}/util/
install -pm 644 util/*.el* %{buildroot}%{_emacs_sitelispdir}/%{pkg}/util/
install -pm 755 -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}/util/jump/
install -pm 644 util/jump/*.el* %{buildroot}%{_emacs_sitelispdir}/%{pkg}/util/jump/
install -pm 755 -d %{buildroot}%{_infodir}
install -pm 644 doc/%{pkg}.info %{buildroot}%{_infodir}/
install -pm 755 -d %{buildroot}%{_emacs_sitestartdir}/
install -pm 644 %{SOURCE1} %{buildroot}%{_emacs_sitestartdir}/

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{pkg}.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
 /sbin/install-info --delete %{_infodir}/%{pkg}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc TODO README
%{_emacs_sitelispdir}/%{pkg}/*.elc
%{_emacs_sitelispdir}/%{pkg}/util/*.elc
%{_emacs_sitelispdir}/%{pkg}/util/jump/*.elc
%{_infodir}/%{pkg}.info.gz
%{_emacs_sitestartdir}/emacs-rinari-init.el
%dir %{_emacs_sitelispdir}/%{pkg}/


%files el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/%{pkg}/*.el
%{_emacs_sitelispdir}/%{pkg}/util/*.el
%{_emacs_sitelispdir}/%{pkg}/util/jump/*.el
%dir %{_emacs_sitelispdir}/%{pkg}/


%changelog
* Sun Aug 15 2010 Arun SAG <sagarun at gmail dot com> - 2.1-4.20100815git
- Includes all directories under rinari directory.

* Sun Aug 15 2010 Arun SAG <sagarun at gmail dot com> - 2.1-3.20100815git
- Fixed the global package name macro.
- Removed redundant directory ownerships.
- Removed quotes from the summary.

* Sun Aug 15 2010 Arun SAG <sagarun at gmail dot com> - 2.1-2.20100815git
- Removed patch0 as it is now integrated into the mainline code.
- Corrected source URL.
- Corrected comments to improve readability.
- Nouns in summary are enclosed in double quotes.
- Emacs addon's packaging template is now honored.
- Ido mode is not enabled by default.

* Tue Aug 3 2010 Arun SAG <sagarun at gmail dot com> - 2.1-1.20100805git
- Initial release. 
